Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.logging
Class Log4jSocketServer.SocketListenerThread

    java.lang.Object
      java.lang.Thread
          org.jboss.logging.Log4jSocketServer.SocketListenerThread

All Implemented Interfaces:
  Runnable

Enclosing class:
  Log4jSocketServer

protected class Log4jSocketServer.SocketListenerThread
extends Thread

Field Summary
`protected boolean` | `enabled`
`protected Object` | `lock`
`protected org.jboss.logging.Logger` | `log`
`protected boolean` | `shuttingDown`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Log4jSocketServer.SocketListenerThread(boolean enabled)`

Method Summary
`protected void` | `doRun()`
`void` | `run()`
`void` | `setEnabled(boolean enabled)`
`void` | `shutdown()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected org.jboss.logging.Logger log

### enabled

    protected boolean enabled

### shuttingDown

    protected boolean shuttingDown

### lock

    protected Object lock

Constructor Detail

### Log4jSocketServer.SocketListenerThread

    public Log4jSocketServer.SocketListenerThread(boolean enabled)

Method Detail

### setEnabled

    public void setEnabled(boolean enabled)

### shutdown

    public void shutdown()

### run

    public void run()

### doRun

    protected void doRun()
                  throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.